POST Api/Building
URI Example
POST Api/Building
URI Parameters
None.
Body Parameters
BuildingBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| ObjectCode | string |
Required |
|
| CategoryId | integer |
Required |
|
| OwnerId | integer |
Required |
|
| LocalizationId | string |
Required |
|
| Name | string |
None. |
|
| Address | string |
Required |
|
| GpsCoordinates | string |
None. |
|
| TypeId | integer |
Required |
|
| ListedAs | string |
Required |
|
| CadastralMatrixNumber | string |
None. |
|
| Inactive | boolean |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "objectCode": "sample string 1", "categoryId": 2, "ownerId": 3, "localizationId": "sample string 4", "name": "sample string 5", "address": "sample string 6", "gpsCoordinates": "sample string 7", "typeId": 8, "listedAs": "sample string 9", "cadastralMatrixNumber": "sample string 10", "inactive": true }
Resource Description
BuildingResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ObjectCode | string |
None. |
|
| CategoryId | integer |
None. |
|
| OwnerId | integer |
None. |
|
| CountryId | string |
None. |
|
| LocalizationId | string |
None. |
|
| Name | string |
None. |
|
| Address | string |
None. |
|
| GpsCoordinates | string |
None. |
|
| TypeId | integer |
None. |
|
| ListedAs | string |
None. |
|
| CadastralMatrixNumber | string |
None. |
|
| Inactive | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "objectCode": "sample string 2", "categoryId": 3, "ownerId": 4, "countryId": "sample string 5", "localizationId": "sample string 6", "name": "sample string 7", "address": "sample string 8", "gpsCoordinates": "sample string 9", "typeId": 10, "listedAs": "sample string 11", "cadastralMatrixNumber": "sample string 12", "inactive": true, "updateDate": "2026-10-29T13:04:43.2551276+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }